gtkmm: Gtk::Settings Class Reference

gtkmm 3.16.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Related Functions | List of all members
Gtk::Settings Class Reference

Sharing settings between applications. More...

`#include <gtkmm/settings.h>`

Inheritance diagram for Gtk::Settings:
[legend]

## Public Member Functions
virtual | ~Settings ()
GtkSettings* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkSettings* | gobj () const
| Provides access to the underlying C GObject. More...
GtkSettings* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::PropertyProxy< int > | property_gtk_double_click_time ()
| Maximum time allowed between two clicks for them to be considered a double click (in milliseconds). More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_double_click_time () const
| Maximum time allowed between two clicks for them to be considered a double click (in milliseconds). More...
Glib::PropertyProxy< int > | property_gtk_double_click_distance ()
| Maximum distance allowed between two clicks for them to be considered a double click (in pixels). More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_double_click_distance () const
| Maximum distance allowed between two clicks for them to be considered a double click (in pixels). More...
Glib::PropertyProxy< bool > | property_gtk_cursor_blink ()
| Whether the cursor should blink. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_cursor_blink () const
| Whether the cursor should blink. More...
Glib::PropertyProxy< int > | property_gtk_cursor_blink_time ()
| Length of the cursor blink cycle, in milliseconds. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_cursor_blink_time () const
| Length of the cursor blink cycle, in milliseconds. More...
Glib::PropertyProxy< int > | property_gtk_cursor_blink_timeout ()
| Time after which the cursor stops blinking, in seconds. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_cursor_blink_timeout () const
| Time after which the cursor stops blinking, in seconds. More...
Glib::PropertyProxy< bool > | property_gtk_split_cursor ()
| Whether two cursors should be displayed for mixed left-to-right and right-to-left text. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_split_cursor () const
| Whether two cursors should be displayed for mixed left-to-right and right-to-left text. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_theme_name ()
| Name of theme to load. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_theme_name () const
| Name of theme to load. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_key_theme_name ()
| Name of key theme to load. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_key_theme_name () const
| Name of key theme to load. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_menu_bar_accel ()
| Keybinding to activate the menu bar. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_menu_bar_accel () const
| Keybinding to activate the menu bar. More...
Glib::PropertyProxy< int > | property_gtk_dnd_drag_threshold ()
| Number of pixels the cursor can move before dragging. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_dnd_drag_threshold () const
| Number of pixels the cursor can move before dragging. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_font_name ()
| Name of default font to use. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_font_name () const
| Name of default font to use. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_modules ()
| List of currently active GTK modules. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_modules () const
| List of currently active GTK modules. More...
Glib::PropertyProxy< int > | property_gtk_xft_antialias ()
| Whether to antialias Xft fonts; 0=no, 1=yes, -1=default. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_xft_antialias () const
| Whether to antialias Xft fonts; 0=no, 1=yes, -1=default. More...
Glib::PropertyProxy< int > | property_gtk_xft_hinting ()
| Whether to hint Xft fonts; 0=no, 1=yes, -1=default. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_xft_hinting () const
| Whether to hint Xft fonts; 0=no, 1=yes, -1=default. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_xft_hintstyle ()
| What degree of hinting to use; hintnone, hintslight, hintmedium, or hintfull. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_xft_hintstyle () const
| What degree of hinting to use; hintnone, hintslight, hintmedium, or hintfull. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_xft_rgba ()
| Type of subpixel antialiasing; none, rgb, bgr, vrgb, vbgr. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_xft_rgba () const
| Type of subpixel antialiasing; none, rgb, bgr, vrgb, vbgr. More...
Glib::PropertyProxy< int > | property_gtk_xft_dpi ()
| Resolution for Xft, in 1024 * dots/inch. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_xft_dpi () const
| Resolution for Xft, in 1024 * dots/inch. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_cursor_theme_name ()
| Name of the cursor theme to use, or NULL to use the default theme. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_cursor_theme_name () const
| Name of the cursor theme to use, or NULL to use the default theme. More...
Glib::PropertyProxy< int > | property_gtk_cursor_theme_size ()
| Size to use for cursors, or 0 to use the default size. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_cursor_theme_size () const
| Size to use for cursors, or 0 to use the default size. More...
Glib::PropertyProxy< bool > | property_gtk_alternative_button_order ()
| Whether buttons in dialogs should use the alternative button order. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_alternative_button_order () const
| Whether buttons in dialogs should use the alternative button order. More...
Glib::PropertyProxy< bool > | property_gtk_alternative_sort_arrows ()
| Whether the direction of the sort indicators in list and tree views is inverted compared to the default (where down means ascending). More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_alternative_sort_arrows () const
| Whether the direction of the sort indicators in list and tree views is inverted compared to the default (where down means ascending). More...
Glib::PropertyProxy< bool > | property_gtk_show_input_method_menu ()
| Whether the context menus of entries and text views should offer to change the input method. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_show_input_method_menu () const
| Whether the context menus of entries and text views should offer to change the input method. More...
Glib::PropertyProxy< bool > | property_gtk_show_unicode_menu ()
| Whether the context menus of entries and text views should offer to insert control characters. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_show_unicode_menu () const
| Whether the context menus of entries and text views should offer to insert control characters. More...
Glib::PropertyProxy< int > | property_gtk_timeout_initial ()
| Starting value for timeouts, when button is pressed. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_timeout_initial () const
| Starting value for timeouts, when button is pressed. More...
Glib::PropertyProxy< int > | property_gtk_timeout_repeat ()
| Repeat value for timeouts, when button is pressed. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_timeout_repeat () const
| Repeat value for timeouts, when button is pressed. More...
Glib::PropertyProxy< int > | property_gtk_timeout_expand ()
| Expand value for timeouts, when a widget is expanding a new region. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_timeout_expand () const
| Expand value for timeouts, when a widget is expanding a new region. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_color_scheme ()
| A palette of named colors for use in themes. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_color_scheme () const
| A palette of named colors for use in themes. More...
Glib::PropertyProxy< bool > | property_gtk_enable_animations ()
| Whether to enable toolkit-wide animations. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_enable_animations () const
| Whether to enable toolkit-wide animations. More...
Glib::PropertyProxy< bool > | property_gtk_touchscreen_mode ()
| When TRUE, there are no motion notify events delivered on this screen. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_touchscreen_mode () const
| When TRUE, there are no motion notify events delivered on this screen. More...
Glib::PropertyProxy< int > | property_gtk_tooltip_timeout ()
| Timeout before tooltip is shown. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_tooltip_timeout () const
| Timeout before tooltip is shown. More...
Glib::PropertyProxy< int > | property_gtk_tooltip_browse_timeout ()
| Timeout before tooltip is shown when browse mode is enabled. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_tooltip_browse_timeout () const
| Timeout before tooltip is shown when browse mode is enabled. More...
Glib::PropertyProxy< int > | property_gtk_tooltip_browse_mode_timeout ()
| Timeout after which browse mode is disabled. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_tooltip_browse_mode_timeout () const
| Timeout after which browse mode is disabled. More...
Glib::PropertyProxy< bool > | property_gtk_keynav_cursor_only ()
| When TRUE, there are only cursor keys available to navigate widgets. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_keynav_cursor_only () const
| When TRUE, there are only cursor keys available to navigate widgets. More...
Glib::PropertyProxy< bool > | property_gtk_keynav_wrap_around ()
| Whether to wrap around when keyboard-navigating widgets. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_keynav_wrap_around () const
| Whether to wrap around when keyboard-navigating widgets. More...
Glib::PropertyProxy< bool > | property_gtk_error_bell ()
| When TRUE, keyboard navigation and other errors will cause a beep. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_error_bell () const
| When TRUE, keyboard navigation and other errors will cause a beep. More...
Glib::PropertyProxy_ReadOnly< Gdk::Color > | property_color_hash () const
| A hash table representation of the color scheme. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_file_chooser_backend ()
| Name of the GtkFileChooser backend to use by default. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_file_chooser_backend () const
| Name of the GtkFileChooser backend to use by default. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_print_backends ()
| List of the GtkPrintBackend backends to use by default. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_print_backends () const
| List of the GtkPrintBackend backends to use by default. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_print_preview_command ()
| Command to run when displaying a print preview. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_print_preview_command () const
| Command to run when displaying a print preview. More...
Glib::PropertyProxy< bool > | property_gtk_enable_mnemonics ()
| Whether labels should have mnemonics. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_enable_mnemonics () const
| Whether labels should have mnemonics. More...
Glib::PropertyProxy< bool > | property_gtk_enable_accels ()
| Whether menu items should have accelerators. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_enable_accels () const
| Whether menu items should have accelerators. More...
Glib::PropertyProxy< int > | property_gtk_recent_files_limit ()
| Number of recently used files. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_recent_files_limit () const
| Number of recently used files. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_im_module ()
| Which IM module should be used by default. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_im_module () const
| Which IM module should be used by default. More...
Glib::PropertyProxy< int > | property_gtk_recent_files_max_age ()
| Maximum age of recently used files, in days. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_recent_files_max_age () const
| Maximum age of recently used files, in days. More...
Glib::PropertyProxy< int > | property_gtk_fontconfig_timestamp ()
| Timestamp of current fontconfig configuration. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_fontconfig_timestamp () const
| Timestamp of current fontconfig configuration. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_sound_theme_name ()
| XDG sound theme name. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_sound_theme_name () const
| XDG sound theme name. More...
Glib::PropertyProxy< bool > | property_gtk_enable_input_feedback_sounds ()
| Whether to play event sounds as feedback to user input. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_enable_input_feedback_sounds () const
| Whether to play event sounds as feedback to user input. More...
Glib::PropertyProxy< bool > | property_gtk_enable_event_sounds ()
| Whether to play any event sounds at all. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_enable_event_sounds () const
| Whether to play any event sounds at all. More...
Glib::PropertyProxy< bool > | property_gtk_enable_tooltips ()
| Whether tooltips should be shown on widgets. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_enable_tooltips () const
| Whether tooltips should be shown on widgets. More...
Glib::PropertyProxy< bool > | property_gtk_application_prefer_dark_theme ()
| Whether the application prefers to have a dark theme. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_application_prefer_dark_theme () const
| Whether the application prefers to have a dark theme. More...
Glib::PropertyProxy< bool > | property_gtk_auto_mnemonics ()
| Whether mnemonics should be automatically shown and hidden when the user presses the mnemonic activator. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_auto_mnemonics () const
| Whether mnemonics should be automatically shown and hidden when the user presses the mnemonic activator. More...
Glib::PropertyProxy< Gtk::PolicyType > | property_gtk_visible_focus ()
| Whether 'focus rectangles' should be hidden until the user starts to use the keyboard. More...
Glib::PropertyProxy_ReadOnly< Gtk::PolicyType > | property_gtk_visible_focus () const
| Whether 'focus rectangles' should be hidden until the user starts to use the keyboard. More...
Glib::PropertyProxy< IMPreeditStyle > | property_gtk_im_preedit_style ()
| How to draw the input method preedit string. More...
Glib::PropertyProxy_ReadOnly< IMPreeditStyle > | property_gtk_im_preedit_style () const
| How to draw the input method preedit string. More...
Glib::PropertyProxy< IMStatusStyle > | property_gtk_im_status_style ()
| How to draw the input method statusbar. More...
Glib::PropertyProxy_ReadOnly< IMStatusStyle > | property_gtk_im_status_style () const
| How to draw the input method statusbar. More...
Glib::PropertyProxy< bool > | property_gtk_shell_shows_app_menu ()
| Set to TRUE if the desktop environment is displaying the app menu, FALSE if the app should display it itself. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_shell_shows_app_menu () const
| Set to TRUE if the desktop environment is displaying the app menu, FALSE if the app should display it itself. More...
Glib::PropertyProxy< bool > | property_gtk_shell_shows_menubar ()
| Set to TRUE if the desktop environment is displaying the menubar, FALSE if the app should display it itself. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_shell_shows_menubar () const
| Set to TRUE if the desktop environment is displaying the menubar, FALSE if the app should display it itself. More...
Glib::PropertyProxy< bool > | property_gtk_shell_shows_desktop ()
| Set to TRUE if the desktop environment is displaying the desktop folder, FALSE if not. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_shell_shows_desktop () const
| Set to TRUE if the desktop environment is displaying the desktop folder, FALSE if not. More...
Glib::PropertyProxy< bool > | property_gtk_enable_primary_paste ()
| Whether a middle click on a mouse should paste the 'PRIMARY' clipboard content at the cursor location. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_enable_primary_paste () const
| Whether a middle click on a mouse should paste the 'PRIMARY' clipboard content at the cursor location. More...
Glib::PropertyProxy< int > | property_gtk_menu_popup_delay ()
| Minimum time the pointer must stay over a menu item before the submenu appear. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_menu_popup_delay () const
| Minimum time the pointer must stay over a menu item before the submenu appear. More...
Glib::PropertyProxy< int > | property_gtk_menu_popdown_delay ()
| The time before hiding a submenu when the pointer is moving towards the submenu. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_menu_popdown_delay () const
| The time before hiding a submenu when the pointer is moving towards the submenu. More...
Glib::PropertyProxy< bool > | property_gtk_label_select_on_focus ()
| Whether to select the contents of a selectable label when it is focused. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_label_select_on_focus () const
| Whether to select the contents of a selectable label when it is focused. More...
Glib::PropertyProxy< guint > | property_gtk_entry_password_hint_timeout ()
| How long to show the last input character in hidden entries. More...
Glib::PropertyProxy_ReadOnly< guint > | property_gtk_entry_password_hint_timeout () const
| How long to show the last input character in hidden entries. More...
Glib::PropertyProxy< bool > | property_gtk_menu_images ()
| Whether images should be shown in menus. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_menu_images () const
| Whether images should be shown in menus. More...
Glib::PropertyProxy< int > | property_gtk_menu_bar_popup_delay ()
| Delay before the submenus of a menu bar appear. More...
Glib::PropertyProxy_ReadOnly< int > | property_gtk_menu_bar_popup_delay () const
| Delay before the submenus of a menu bar appear. More...
Glib::PropertyProxy< GtkCornerType > | property_gtk_scrolled_window_placement ()
| Where the contents of scrolled windows are located with respect to the scrollbars, if not overridden by the scrolled window's own placement. More...
Glib::PropertyProxy_ReadOnly< GtkCornerType > | property_gtk_scrolled_window_placement () const
| Where the contents of scrolled windows are located with respect to the scrollbars, if not overridden by the scrolled window's own placement. More...
Glib::PropertyProxy< ToolbarStyle > | property_gtk_toolbar_style ()
| Whether default toolbars have text only, text and icons, icons only, etc. More...
Glib::PropertyProxy_ReadOnly< ToolbarStyle > | property_gtk_toolbar_style () const
| Whether default toolbars have text only, text and icons, icons only, etc. More...
Glib::PropertyProxy< IconSize > | property_gtk_toolbar_icon_size ()
| The size of icons in default toolbars. More...
Glib::PropertyProxy_ReadOnly< IconSize > | property_gtk_toolbar_icon_size () const
| The size of icons in default toolbars. More...
Glib::PropertyProxy< bool > | property_gtk_can_change_accels ()
| Whether menu accelerators can be changed by pressing a key over the menu item. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_can_change_accels () const
| Whether menu accelerators can be changed by pressing a key over the menu item. More...
Glib::PropertyProxy< bool > | property_gtk_entry_select_on_focus ()
| Whether to select the contents of an entry when it is focused. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_entry_select_on_focus () const
| Whether to select the contents of an entry when it is focused. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_color_palette ()
| Palette to use in the color selector. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_color_palette () const
| Palette to use in the color selector. More...
Glib::PropertyProxy< bool > | property_gtk_button_images ()
| Whether images should be shown on buttons. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_button_images () const
| Whether images should be shown on buttons. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_icon_theme_name ()
| Name of icon theme to use. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_icon_theme_name () const
| Name of icon theme to use. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_fallback_icon_theme ()
| Name of a icon theme to fall back to. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_fallback_icon_theme () const
| Name of a icon theme to fall back to. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_icon_sizes ()
| List of icon sizes: gtk-menu=16,16:gtk-button=20,20... More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_icon_sizes () const
| List of icon sizes: gtk-menu=16,16:gtk-button=20,20... More...
Glib::PropertyProxy< bool > | property_gtk_recent_files_enabled ()
| Whether GTK+ remembers recent files. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_recent_files_enabled () const
| Whether GTK+ remembers recent files. More...
Glib::PropertyProxy< bool > | property_gtk_primary_button_warps_slider ()
| Whether a primary click on the trough should warp the slider into position. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_primary_button_warps_slider () const
| Whether a primary click on the trough should warp the slider into position. More...
Glib::PropertyProxy< Glib::ustring > | property_gtk_decoration_layout ()
| The layout for window decorations. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_gtk_decoration_layout () const
| The layout for window decorations. More...
Glib::PropertyProxy< bool > | property_gtk_dialogs_use_header ()
| Whether builtin GTK+ dialogs should use a header bar instead of an action area. More...
Glib::PropertyProxy_ReadOnly< bool > | property_gtk_dialogs_use_header () const
| Whether builtin GTK+ dialogs should use a header bar instead of an action area. More...
Glib::PropertyProxy< guint > | property_gtk_long_press_time ()
| Time for a button/touch press to be considered a long press (in milliseconds). More...
Glib::PropertyProxy_ReadOnly< guint > | property_gtk_long_press_time () const
| Time for a button/touch press to be considered a long press (in milliseconds). More...
Public Member Functions inherited from Glib::Object
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< Settings > | get_default ()
| Gets the Gtk::Settings object for the default GDK screen, creating it if necessary. More...
static Glib::RefPtr< Settings > | get_for_screen (const Glib::RefPtr< Gdk::Screen >& screen)
| Gets the Gtk::Settings object for screen, creating it if necessary. More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::Settings > | wrap (GtkSettings* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(* | DestroyNotify) (gpointer data)
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
virtual | ~Object ()
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
virtual | ~ObjectBase ()=0
void | initialize (GObject *castitem)

## Detailed Description

Sharing settings between applications.

## Constructor & Destructor Documentation

virtual Gtk::Settings::~Settings | ( |  | ) |
| virtual

## Member Function Documentation

static Glib::RefPtr<Settings> Gtk::Settings::get_default | ( |  | ) |
| static

Gets the Gtk::Settings object for the default GDK screen, creating it if necessary.

See get_for_screen().

Returns
  A Gtk::Settings object. If there is no default screen, then returns `0`.

static Glib::RefPtr<Settings> Gtk::Settings::get_for_screen | ( | const Glib::RefPtr< Gdk::Screen >& | screen | ) |
| static

Gets the Gtk::Settings object for screen, creating it if necessary.

Since gtkmm 2.2:

Parameters

  screen | A Gdk::Screen.

Returns
  A Gtk::Settings object.

static GType Gtk::Settings::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GtkSettings* Gtk::Settings::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GtkSettings* Gtk::Settings::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GtkSettings* Gtk::Settings::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::PropertyProxy_ReadOnly< Gdk::Color > Gtk::Settings::property_color_hash | ( |  | ) | const

A hash table representation of the color scheme.

Deprecated:
  Will always return an empty hash table.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_alternative_button_order | ( |  | ) |

Whether buttons in dialogs should use the alternative button order.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_alternative_button_order | ( |  | ) | const

Whether buttons in dialogs should use the alternative button order.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_alternative_sort_arrows | ( |  | ) |

Whether the direction of the sort indicators in list and tree views is inverted compared to the default (where down means ascending).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_alternative_sort_arrows | ( |  | ) | const

Whether the direction of the sort indicators in list and tree views is inverted compared to the default (where down means ascending).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_application_prefer_dark_theme | ( |  | ) |

Whether the application prefers to have a dark theme.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_application_prefer_dark_theme | ( |  | ) | const

Whether the application prefers to have a dark theme.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_auto_mnemonics | ( |  | ) |

Whether mnemonics should be automatically shown and hidden when the user presses the mnemonic activator.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_auto_mnemonics | ( |  | ) | const

Whether mnemonics should be automatically shown and hidden when the user presses the mnemonic activator.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_button_images | ( |  | ) |

Whether images should be shown on buttons.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_button_images | ( |  | ) | const

Whether images should be shown on buttons.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_can_change_accels | ( |  | ) |

Whether menu accelerators can be changed by pressing a key over the menu item.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_can_change_accels | ( |  | ) | const

Whether menu accelerators can be changed by pressing a key over the menu item.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_color_palette | ( |  | ) |

Palette to use in the color selector.

Deprecated:
  Only used by the deprecated color selector widget.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_color_palette | ( |  | ) | const

Palette to use in the color selector.

Deprecated:
  Only used by the deprecated color selector widget.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_color_scheme | ( |  | ) |

A palette of named colors for use in themes.

Deprecated:
  Color scheme support was dropped. This setting is now ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_color_scheme | ( |  | ) | const

A palette of named colors for use in themes.

Deprecated:
  Color scheme support was dropped. This setting is now ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_cursor_blink | ( |  | ) |

Whether the cursor should blink.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_cursor_blink | ( |  | ) | const

Whether the cursor should blink.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_cursor_blink_time | ( |  | ) |

Length of the cursor blink cycle, in milliseconds.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_cursor_blink_time | ( |  | ) | const

Length of the cursor blink cycle, in milliseconds.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_cursor_blink_timeout | ( |  | ) |

Time after which the cursor stops blinking, in seconds.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_cursor_blink_timeout | ( |  | ) | const

Time after which the cursor stops blinking, in seconds.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_cursor_theme_name | ( |  | ) |

Name of the cursor theme to use, or NULL to use the default theme.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_cursor_theme_name | ( |  | ) | const

Name of the cursor theme to use, or NULL to use the default theme.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_cursor_theme_size | ( |  | ) |

Size to use for cursors, or 0 to use the default size.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_cursor_theme_size | ( |  | ) | const

Size to use for cursors, or 0 to use the default size.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_decoration_layout | ( |  | ) |

The layout for window decorations.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_decoration_layout | ( |  | ) | const

The layout for window decorations.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_dialogs_use_header | ( |  | ) |

Whether builtin GTK+ dialogs should use a header bar instead of an action area.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_dialogs_use_header | ( |  | ) | const

Whether builtin GTK+ dialogs should use a header bar instead of an action area.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_dnd_drag_threshold | ( |  | ) |

Number of pixels the cursor can move before dragging.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_dnd_drag_threshold | ( |  | ) | const

Number of pixels the cursor can move before dragging.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_double_click_distance | ( |  | ) |

Maximum distance allowed between two clicks for them to be considered a double click (in pixels).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_double_click_distance | ( |  | ) | const

Maximum distance allowed between two clicks for them to be considered a double click (in pixels).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_double_click_time | ( |  | ) |

Maximum time allowed between two clicks for them to be considered a double click (in milliseconds).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_double_click_time | ( |  | ) | const

Maximum time allowed between two clicks for them to be considered a double click (in milliseconds).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_enable_accels | ( |  | ) |

Whether menu items should have accelerators.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_enable_accels | ( |  | ) | const

Whether menu items should have accelerators.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_enable_animations | ( |  | ) |

Whether to enable toolkit-wide animations.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_enable_animations | ( |  | ) | const

Whether to enable toolkit-wide animations.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_enable_event_sounds | ( |  | ) |

Whether to play any event sounds at all.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_enable_event_sounds | ( |  | ) | const

Whether to play any event sounds at all.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_enable_input_feedback_sounds | ( |  | ) |

Whether to play event sounds as feedback to user input.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_enable_input_feedback_sounds | ( |  | ) | const

Whether to play event sounds as feedback to user input.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_enable_mnemonics | ( |  | ) |

Whether labels should have mnemonics.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_enable_mnemonics | ( |  | ) | const

Whether labels should have mnemonics.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_enable_primary_paste | ( |  | ) |

Whether a middle click on a mouse should paste the 'PRIMARY' clipboard content at the cursor location.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_enable_primary_paste | ( |  | ) | const

Whether a middle click on a mouse should paste the 'PRIMARY' clipboard content at the cursor location.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_enable_tooltips | ( |  | ) |

Whether tooltips should be shown on widgets.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_enable_tooltips | ( |  | ) | const

Whether tooltips should be shown on widgets.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint > Gtk::Settings::property_gtk_entry_password_hint_timeout | ( |  | ) |

How long to show the last input character in hidden entries.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint > Gtk::Settings::property_gtk_entry_password_hint_timeout | ( |  | ) | const

How long to show the last input character in hidden entries.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_entry_select_on_focus | ( |  | ) |

Whether to select the contents of an entry when it is focused.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_entry_select_on_focus | ( |  | ) | const

Whether to select the contents of an entry when it is focused.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_error_bell | ( |  | ) |

When TRUE, keyboard navigation and other errors will cause a beep.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_error_bell | ( |  | ) | const

When TRUE, keyboard navigation and other errors will cause a beep.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_fallback_icon_theme | ( |  | ) |

Name of a icon theme to fall back to.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_fallback_icon_theme | ( |  | ) | const

Name of a icon theme to fall back to.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_file_chooser_backend | ( |  | ) |

Name of the GtkFileChooser backend to use by default.

Deprecated:
  This setting is ignored. Gtk::FileChooser uses GIO by default.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_file_chooser_backend | ( |  | ) | const

Name of the GtkFileChooser backend to use by default.

Deprecated:
  This setting is ignored. Gtk::FileChooser uses GIO by default.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_font_name | ( |  | ) |

Name of default font to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_font_name | ( |  | ) | const

Name of default font to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_fontconfig_timestamp | ( |  | ) |

Timestamp of current fontconfig configuration.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_fontconfig_timestamp | ( |  | ) | const

Timestamp of current fontconfig configuration.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_icon_sizes | ( |  | ) |

List of icon sizes: gtk-menu=16,16:gtk-button=20,20...

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_icon_sizes | ( |  | ) | const

List of icon sizes: gtk-menu=16,16:gtk-button=20,20...

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_icon_theme_name | ( |  | ) |

Name of icon theme to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_icon_theme_name | ( |  | ) | const

Name of icon theme to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_im_module | ( |  | ) |

Which IM module should be used by default.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_im_module | ( |  | ) | const

Which IM module should be used by default.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< IMPreeditStyle > Gtk::Settings::property_gtk_im_preedit_style | ( |  | ) |

How to draw the input method preedit string.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< IMPreeditStyle > Gtk::Settings::property_gtk_im_preedit_style | ( |  | ) | const

How to draw the input method preedit string.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< IMStatusStyle > Gtk::Settings::property_gtk_im_status_style | ( |  | ) |

How to draw the input method statusbar.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< IMStatusStyle > Gtk::Settings::property_gtk_im_status_style | ( |  | ) | const

How to draw the input method statusbar.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_key_theme_name | ( |  | ) |

Name of key theme to load.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_key_theme_name | ( |  | ) | const

Name of key theme to load.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_keynav_cursor_only | ( |  | ) |

When TRUE, there are only cursor keys available to navigate widgets.

Deprecated:
  Generally the behavior for touchscreen input should be performed dynamically based on gdk_event_get_source_device().

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_keynav_cursor_only | ( |  | ) | const

When TRUE, there are only cursor keys available to navigate widgets.

Deprecated:
  Generally the behavior for touchscreen input should be performed dynamically based on gdk_event_get_source_device().

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_keynav_wrap_around | ( |  | ) |

Whether to wrap around when keyboard-navigating widgets.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_keynav_wrap_around | ( |  | ) | const

Whether to wrap around when keyboard-navigating widgets.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_label_select_on_focus | ( |  | ) |

Whether to select the contents of a selectable label when it is focused.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_label_select_on_focus | ( |  | ) | const

Whether to select the contents of a selectable label when it is focused.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint > Gtk::Settings::property_gtk_long_press_time | ( |  | ) |

Time for a button/touch press to be considered a long press (in milliseconds).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint > Gtk::Settings::property_gtk_long_press_time | ( |  | ) | const

Time for a button/touch press to be considered a long press (in milliseconds).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_menu_bar_accel | ( |  | ) |

Keybinding to activate the menu bar.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_menu_bar_accel | ( |  | ) | const

Keybinding to activate the menu bar.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_menu_bar_popup_delay | ( |  | ) |

Delay before the submenus of a menu bar appear.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_menu_bar_popup_delay | ( |  | ) | const

Delay before the submenus of a menu bar appear.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_menu_images | ( |  | ) |

Whether images should be shown in menus.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_menu_images | ( |  | ) | const

Whether images should be shown in menus.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_menu_popdown_delay | ( |  | ) |

The time before hiding a submenu when the pointer is moving towards the submenu.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_menu_popdown_delay | ( |  | ) | const

The time before hiding a submenu when the pointer is moving towards the submenu.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_menu_popup_delay | ( |  | ) |

Minimum time the pointer must stay over a menu item before the submenu appear.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_menu_popup_delay | ( |  | ) | const

Minimum time the pointer must stay over a menu item before the submenu appear.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_modules | ( |  | ) |

List of currently active GTK modules.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_modules | ( |  | ) | const

List of currently active GTK modules.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_primary_button_warps_slider | ( |  | ) |

Whether a primary click on the trough should warp the slider into position.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_primary_button_warps_slider | ( |  | ) | const

Whether a primary click on the trough should warp the slider into position.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_print_backends | ( |  | ) |

List of the GtkPrintBackend backends to use by default.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_print_backends | ( |  | ) | const

List of the GtkPrintBackend backends to use by default.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_print_preview_command | ( |  | ) |

Command to run when displaying a print preview.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_print_preview_command | ( |  | ) | const

Command to run when displaying a print preview.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_recent_files_enabled | ( |  | ) |

Whether GTK+ remembers recent files.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_recent_files_enabled | ( |  | ) | const

Whether GTK+ remembers recent files.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_recent_files_limit | ( |  | ) |

Number of recently used files.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_recent_files_limit | ( |  | ) | const

Number of recently used files.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_recent_files_max_age | ( |  | ) |

Maximum age of recently used files, in days.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_recent_files_max_age | ( |  | ) | const

Maximum age of recently used files, in days.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< GtkCornerType > Gtk::Settings::property_gtk_scrolled_window_placement | ( |  | ) |

Where the contents of scrolled windows are located with respect to the scrollbars, if not overridden by the scrolled window's own placement.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< GtkCornerType > Gtk::Settings::property_gtk_scrolled_window_placement | ( |  | ) | const

Where the contents of scrolled windows are located with respect to the scrollbars, if not overridden by the scrolled window's own placement.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_shell_shows_app_menu | ( |  | ) |

Set to TRUE if the desktop environment is displaying the app menu, FALSE if the app should display it itself.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_shell_shows_app_menu | ( |  | ) | const

Set to TRUE if the desktop environment is displaying the app menu, FALSE if the app should display it itself.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_shell_shows_desktop | ( |  | ) |

Set to TRUE if the desktop environment is displaying the desktop folder, FALSE if not.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_shell_shows_desktop | ( |  | ) | const

Set to TRUE if the desktop environment is displaying the desktop folder, FALSE if not.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_shell_shows_menubar | ( |  | ) |

Set to TRUE if the desktop environment is displaying the menubar, FALSE if the app should display it itself.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_shell_shows_menubar | ( |  | ) | const

Set to TRUE if the desktop environment is displaying the menubar, FALSE if the app should display it itself.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_show_input_method_menu | ( |  | ) |

Whether the context menus of entries and text views should offer to change the input method.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_show_input_method_menu | ( |  | ) | const

Whether the context menus of entries and text views should offer to change the input method.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_show_unicode_menu | ( |  | ) |

Whether the context menus of entries and text views should offer to insert control characters.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_show_unicode_menu | ( |  | ) | const

Whether the context menus of entries and text views should offer to insert control characters.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_sound_theme_name | ( |  | ) |

XDG sound theme name.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_sound_theme_name | ( |  | ) | const

XDG sound theme name.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_split_cursor | ( |  | ) |

Whether two cursors should be displayed for mixed left-to-right and right-to-left text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_split_cursor | ( |  | ) | const

Whether two cursors should be displayed for mixed left-to-right and right-to-left text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_theme_name | ( |  | ) |

Name of theme to load.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_theme_name | ( |  | ) | const

Name of theme to load.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_timeout_expand | ( |  | ) |

Expand value for timeouts, when a widget is expanding a new region.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_timeout_expand | ( |  | ) | const

Expand value for timeouts, when a widget is expanding a new region.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_timeout_initial | ( |  | ) |

Starting value for timeouts, when button is pressed.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_timeout_initial | ( |  | ) | const

Starting value for timeouts, when button is pressed.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_timeout_repeat | ( |  | ) |

Repeat value for timeouts, when button is pressed.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_timeout_repeat | ( |  | ) | const

Repeat value for timeouts, when button is pressed.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< IconSize > Gtk::Settings::property_gtk_toolbar_icon_size | ( |  | ) |

The size of icons in default toolbars.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< IconSize > Gtk::Settings::property_gtk_toolbar_icon_size | ( |  | ) | const

The size of icons in default toolbars.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< ToolbarStyle > Gtk::Settings::property_gtk_toolbar_style | ( |  | ) |

Whether default toolbars have text only, text and icons, icons only, etc.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< ToolbarStyle > Gtk::Settings::property_gtk_toolbar_style | ( |  | ) | const

Whether default toolbars have text only, text and icons, icons only, etc.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_tooltip_browse_mode_timeout | ( |  | ) |

Timeout after which browse mode is disabled.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_tooltip_browse_mode_timeout | ( |  | ) | const

Timeout after which browse mode is disabled.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_tooltip_browse_timeout | ( |  | ) |

Timeout before tooltip is shown when browse mode is enabled.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_tooltip_browse_timeout | ( |  | ) | const

Timeout before tooltip is shown when browse mode is enabled.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_tooltip_timeout | ( |  | ) |

Timeout before tooltip is shown.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_tooltip_timeout | ( |  | ) | const

Timeout before tooltip is shown.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Settings::property_gtk_touchscreen_mode | ( |  | ) |

When TRUE, there are no motion notify events delivered on this screen.

Deprecated:
  Generally the behavior for touchscreen input should be performed dynamically based on gdk_event_get_source_device().

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Settings::property_gtk_touchscreen_mode | ( |  | ) | const

When TRUE, there are no motion notify events delivered on this screen.

Deprecated:
  Generally the behavior for touchscreen input should be performed dynamically based on gdk_event_get_source_device().

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gtk::PolicyType > Gtk::Settings::property_gtk_visible_focus | ( |  | ) |

Whether 'focus rectangles' should be hidden until the user starts to use the keyboard.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gtk::PolicyType > Gtk::Settings::property_gtk_visible_focus | ( |  | ) | const

Whether 'focus rectangles' should be hidden until the user starts to use the keyboard.

Deprecated:
  This setting is ignored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_xft_antialias | ( |  | ) |

Whether to antialias Xft fonts; 0=no, 1=yes, -1=default.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_xft_antialias | ( |  | ) | const

Whether to antialias Xft fonts; 0=no, 1=yes, -1=default.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_xft_dpi | ( |  | ) |

Resolution for Xft, in 1024 * dots/inch.

-1 to use default value.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_xft_dpi | ( |  | ) | const

Resolution for Xft, in 1024 * dots/inch.

-1 to use default value.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Settings::property_gtk_xft_hinting | ( |  | ) |

Whether to hint Xft fonts; 0=no, 1=yes, -1=default.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Settings::property_gtk_xft_hinting | ( |  | ) | const

Whether to hint Xft fonts; 0=no, 1=yes, -1=default.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_xft_hintstyle | ( |  | ) |

What degree of hinting to use; hintnone, hintslight, hintmedium, or hintfull.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_xft_hintstyle | ( |  | ) | const

What degree of hinting to use; hintnone, hintslight, hintmedium, or hintfull.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::Settings::property_gtk_xft_rgba | ( |  | ) |

Type of subpixel antialiasing; none, rgb, bgr, vrgb, vbgr.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Settings::property_gtk_xft_rgba | ( |  | ) | const

Type of subpixel antialiasing; none, rgb, bgr, vrgb, vbgr.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::Settings > wrap | ( | GtkSettings * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.